> For the complete documentation index, see [llms.txt](https://docs.flashback.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flashback.tech/support-reference/supported-api-operations/cloud-storage/azure-blob-operations.md).

# MS Azure's Blob

## API operations supported.

Here we list a reference of GCS API operations supported by Flashgate nodes.

<table><thead><tr><th width="282.38671875">API Operation</th><th width="233.00390625" align="center">S3 Destination</th><th align="center">GCS Destination</th></tr></thead><tbody><tr><td>container.get_properties</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>blob.get_properties</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>blob.get_blob</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> (1)</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> (1)</td></tr><tr><td>blob..put_block_blob</td><td align="center"><p><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></p><p>with size limits (2)</p></td><td align="center"><p><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></p><p>with size limits (2)</p></td></tr><tr><td>blob.delete</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>container.list_blobs</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>blob.put_block</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>blob.put_block_list</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></td></tr><tr><td>blob.copy_from_url</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> (3)</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span> (3)</td></tr></tbody></table>

### Notes:

(1) Supports streaming.

(2) Max. single upload size is limited by the nodes to a default 100MB for performance reasons. If you need higher limits for whatever reason, please contact Flashgate Support. For uploads >100MB, use the resumable uploads APIs.

(3) The following restrictions apply:

* The copy operation follows all the restrictions imposed by the destination storage in terms of region, storage class, permissions, file size, etc.
* Check out in [S3 docs](https://docs.aws.amazon.com/AmazonS3/latest/API/API_CopyObject.html) or [GCS docs](https://cloud.google.com/storage/docs/json_api/v1/objects/rewrite) for more detail on platform specific conditions and constraints.
* The **source bucket** must be part of the Flashgate Repository whose API keys you are using. The destination bucket does not have to be part of the Repository, but it must be accessible using the same credentials provided for the destination bucket.

## General operations not supported:

### Bucket level:

* Versioning
* Bucket-level operations (CreateBucket, DeleteBucket, etc.)
* Bucket policies
* Bucket CORS configuration
* Bucket lifecycle rules
* Bucket website configuration
* Bucket logging
* Bucket notifications
* Bucket replication
* Bucket analytics configurations
* Bucket metrics configurations
* Bucket inventory configurations
* Bucket encryption
* Bucket intelligent tiering
* Bucket ownership controls
* Bucket request payment
* Bucket versioning
* Bucket acceleration
* Bucket public access block

### Object level

* Object tagging
* Object ACLs
* Object locking and retention
* Object composition
* Object retention and holds
* Object custom metadata and time
* Object soft delete and restore
* Object patch operations (limited to basic metadata updates)
* Select object content (GCS Select)
* Restore object (for Coldline/Archive)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flashback.tech/support-reference/supported-api-operations/cloud-storage/azure-blob-operations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
